# coding: utf-8
require 'json'

package_file = File.dirname(__FILE__) + '/material-ui/package.json'

Gem::Specification.new do |spec|
  if File.exists?(package_file)
    package = JSON.parse(File.read(package_file))

    spec.version     = package["version"] + ".2"
    spec.summary     = package["description"]
    spec.description = package["description"]
    spec.homepage    = package["homepage"]
    spec.license     = package["license"]
  else
    spec.version     = "0.0.1"
  end

  spec.name          = "material-ui"
  spec.authors       = ["chadrien"]
  spec.email         = ["chadrien@chadrien.fr"]

  spec.files         = `git ls-files`.split("\n")
  spec.require_paths = ["lib"]

  spec.add_dependency "less-rails"
  spec.add_dependency "react-source", "~> 0.13"
  spec.add_dependency "railties", "~> 4.0"

  spec.add_development_dependency "bundler", "~> 1.9"
  spec.add_development_dependency "rake", "~> 10.0"
  spec.add_development_dependency "json"
end
